Subject: I'll gently kiss your neck, lower and lower, come to me.

From: Elena <[email-masked]>
Date: Wed, 27 Jan 2010 10:25:40 -0800 (PST)

Hi - I'm the girl in a pink jacket with the inscription Russia, remember me?
Click here